package org.xbib.logging.configuration;

import org.xbib.logging.LogContextConfigurator;
import org.xbib.logging.LogContextConfiguratorFactory;

/**
 * The default configuration factory which has a priority of 100.
 */
public class DefaultLogContextConfiguratorFactory implements LogContextConfiguratorFactory {

    public DefaultLogContextConfiguratorFactory() {
    }

    @Override
    public LogContextConfigurator create() {
        return new PropertyLogContextConfigurator();
    }

    @Override
    public int priority() {
        return 100;
    }
}
